Subject: [LL19] objection

From: Keith Moore <[email-masked]>
Date: Mon, 10 Feb 2003 11:19:29 -0500

I object to the LL 19 proposal.

Frankly, if you're going to arrange things so that ordinary IPv4 hosts
cannot talk to hosts using LL addresses, then you have no business
overloading the IPv4 programming interface for LL.  Applications expect
IPv4 hosts to be able to talk to one another.  If you want a completely
separate protocol, fine, but don't call it IP.

It's true that legacy hosts won't be able to talk to v4LL addresses
absent some code modification or explicit configuration to ARP
on a link. The immediate (and probably long-term) workaround is to not
use v4LL on networks that use routable addresses.  This can be
accomplished by either statically configuring the nodes that would
otherwise use v4LL (on networks that statically configure all hosts) or
by having a DHCP server assign routable addresses to such nodes.  
Alternatively, non-LL hosts can be configured to ARP for LL addresses.

Maybe there is a need for a new issue here - to address communication
between LL-capable hosts and legacy hosts on the same link?